## groovy.util
Class FileNameByRegexFinder

Find files according to a base directory and an includes and excludes pattern. The include and exclude patterns conform to regex conventions.

author:
  Dierk Koenig

author:
  Paul King

Constructor Summary
`FileNameByRegexFinder()`

Method Summary
`List` | `getFileNames(String basedir, String pattern)`
`List` | `getFileNames(String basedir, String pattern, String excludesPattern)`

Constructor Detail

### FileNameByRegexFinder

    FileNameByRegexFinder()

Method Detail

### getFileNames

    List getFileNames(String basedir, String pattern)

### getFileNames

    List getFileNames(String basedir, String pattern, String excludesPattern)